Skip to main content
`Ctrl`+`K`

# DMProductSetDM

Set sub-`DM` whose coordinates will be associated with a particular dimension of the `DMPRODUCT`

## Synopsis

    #include "petsc/private/dmproductimpl.h"
    PetscErrorCode DMProductSetDM(DM dm, PetscInt slot, DM subdm)

Not Collective

## Input Parameters

- dm - the `DMPRODUCT`

- slot - which dimension within `DMPRODUCT` whose coordinates is being provided, in the range 0 to \(dim-1\)

- subdm - the sub-`DM`

## Notes

This function does not destroy the provided sub-`DM`. You may safely destroy it after calling this function.

You can call `DMProductSetDimensionIndex()` to determine which dimension in `subdm` is to be used to provide the coordinates, see `DMPRODUCT`

## See Also

`DMPRODUCT`, `DMProductGetDM()`, `DMProductSetDimensionIndex()`, `DMProductGetDimensionIndex()`

## Level

advanced

## Location

src/dm/impls/product/productutils.c

Index of all DMPRODUCT routines
Table of Contents for all manual pages
Index of all manual pages